> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Staking Request

> Moves the caller's DRAFT staking request to PENDING; errors if already submitted.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/submit-staking-request
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/submit-staking-request:
    post:
      operationId: submitStakingRequest
      summary: Submit Staking Request
      description: >-
        Moves the caller's DRAFT staking request to PENDING; errors if already
        submitted.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitStakingRequestRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitStakingRequestResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SubmitStakingRequestRequest:
      type: object
      properties:
        stakingRequestID:
          type: string
          format: uuid
      required:
        - stakingRequestID
    SubmitStakingRequestResponse:
      type: object
      properties:
        stakingRequestID:
          type: string
        stakingConfigurationID:
          type: string
        roleInOrgID:
          type: string
        stakingAmount:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        stakingBalance:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        stakingStartDate:
          type: string
        stakingStatus:
          type: string
          enum:
            - DRAFT
            - PENDING
            - APPROVED
            - REJECTED
            - CANCELLED
            - IN_STAKING
            - UNSTAKE_REQUEST_PLACED
            - STAKING_PERIOD_COMPLETED
            - COMPLETED
        createdAt:
          type: string
        grantID:
          type: string
        updatedAt:
          type: string
        stakingDistributionID:
          type:
            - string
            - 'null'
      required:
        - stakingRequestID
        - stakingConfigurationID
        - roleInOrgID
        - stakingAmount
        - stakingBalance
        - stakingStartDate
        - stakingStatus
        - createdAt
        - grantID
        - updatedAt
        - stakingDistributionID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
